"""Add gen_type to credit_ratios

Revision ID: d54d06438b25
Revises: 4b83fd481c7e
Create Date: 2026-05-19 15:33:41.638987
"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'd54d06438b25'
down_revision: Union[str, None] = '4b83fd481c7e'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # Step 1: Add column with default value
    op.add_column('credit_ratios', sa.Column('gen_type', sa.String(length=16), server_default='video', nullable=False))


def downgrade() -> None:
    op.drop_column('credit_ratios', 'gen_type')
